Index: /other-projects/maori-lang-detection/mongodb-data/4counts_tentativeNonProductSites.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/4counts_tentativeNonProductSites.json	(revision 33871)
+++ /other-projects/maori-lang-detection/mongodb-data/4counts_tentativeNonProductSites.json	(revision 33872)
@@ -1,5 +1,5 @@
 /*
 
-The websites that have some MRI detected AND which are either in NZ or with NZ TLD
+All the websites that have some MRI detected AND which are either in NZ or with NZ TLD
 or (so if they're from overseas) don't contain /mi or mi.* in URL path.
 We'll include Australia, to get the valid "kiwiproperty.com" website,
Index: /other-projects/maori-lang-detection/mongodb-data/5counts_tentativeNonProductSites1.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/5counts_tentativeNonProductSites1.json	(revision 33871)
+++ /other-projects/maori-lang-detection/mongodb-data/5counts_tentativeNonProductSites1.json	(revision 33872)
@@ -1,5 +1,5 @@
 /*
 
-The websites that have some MRI detected AND which are either in NZ or with NZ TLD
+All the websites that have some MRI detected AND which are either in NZ or with NZ TLD
 or (so if they're from overseas) don't contain /mi or mi.* in URL path.
 We'll include Australia, to get the valid "kiwiproperty.com" website,
Index: /other-projects/maori-lang-detection/mongodb-data/6table_nonProductSites1_manualShortlist.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/6table_nonProductSites1_manualShortlist.json	(revision 33871)
+++ /other-projects/maori-lang-detection/mongodb-data/6table_nonProductSites1_manualShortlist.json	(revision 33872)
@@ -1,3 +1,26 @@
 /*
+
+db.Websites.aggregate([
+    {
+        $match: {
+            $and: [
+                {numPagesInMRI: {$gt: 0}},
+                {$or: [{geoLocationCountryCode:"NZ"},{domain: /\.nz/}]}
+            ]
+        }
+    },
+    { $unwind: "$geoLocationCountryCode" },
+    {
+        $group: {
+            _id: "nz",
+            count: { $sum: 1 },
+            domain: { $addToSet: '$domain' },
+            numPagesInMRICount: { $sum: '$numPagesInMRI' },
+            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' }
+        }
+    },
+    { $sort : { count : -1} }
+]);
+
 For sites originating in NZ or with nz TLD, none of the URLs are manually inspected and all URLs are accepted.
 
@@ -118,5 +141,5 @@
 
 
-OR is this better:
+OR is this better (only numPagesINMRI):
 
 db.Websites.aggregate([
Index: /other-projects/maori-lang-detection/mongodb-data/random255_domainsNZ_IsMRI.txt
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/random255_domainsNZ_IsMRI.txt	(revision 33872)
+++ /other-projects/maori-lang-detection/mongodb-data/random255_domainsNZ_IsMRI.txt	(revision 33872)
@@ -0,0 +1,255 @@
+https://ttw1.cwp.govt.nz/a-matou-mahi/te-amo/he-anga-arotake/
+http://www.firstworldwar.tki.org.nz/mi/rauemi/nga-hoia-o-te-moana-nui-a-kiwa/
+http://www.tmoa.tki.org.nz/Karere-Hou/Taiki-E%21-Te-Putanga-2-2016
+http://www.twtop.school.nz/869/pages/84-tangaroa
+https://www.sporty.co.nz/kuratakitimu/Mahi/Kapa-Haka
+http://www.tmoa.tki.org.nz/Te-Marautanga-o-Aotearoa/Te-Anga/Te-Putake-o-Te-Marautanga-o-Aotearoa
+https://www.lcds-display.nz/products/CSTN-LCD_HITACHI.htm
+https://www.tetaurawhiri.govt.nz/he-muka/he-muka/te-vaka-reo-ki-hawaii-2019/
+https://www.tetaurawhiri.govt.nz/events/maramataka/
+http://www.waiata.maori.nz/en/song/aku-kanohi-kau
+http://www.tmoa.tki.org.nz/content/download/2242/17088/file/91659-sas-2014.doc
+http://www.tmoa.tki.org.nz/content/download/440/3716/file/Taumata4.pdf
+https://sexualviolence.victimsinfo.govt.nz/mi/glossary/showterm/tait%c5%8dkai+%c4%81-atahanga/
+https://paekupu.co.nz/word/aroa-oromotu
+http://tiritiowaitangi.govt.nz/maps/maoriland1860.php
+http://www.waiata.maori.nz/en/browse/new
+https://www.tetaurawhiri.govt.nz/ako/orth/
+http://maori.livingheritage.org.nz/Whai-wahi/Akoranga-pakirehua
+https://www.terito.school.nz/nga-reanga/
+http://www.teipukarea.maori.nz/research-mi-nz/research-article-mi-nz/
+https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/te-ahu-o-te-reo/
+http://www.tmoa.tki.org.nz/Mataiako/Te-Waharoa-Ararau/Te-Waharoa-Ararau-Modules/TWA-Module-3
+http://maori.livingheritage.org.nz/Nga-korero-a-nga-kura/Discovering-Edgecumbe/Media-files/(offset)/60
+https://tiritiowaitangi.govt.nz/timeline/nz1950.php
+https://www.tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/wordfind/
+https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/30-year-anniversary-celebration/
+http://www.firstworldwar.tki.org.nz/mi/rauemi/te-tuku-ihotanga-me-te-tuakiri-dr-monty-soutar/
+http://www.tmoa.tki.org.nz/Rauemi-Whanui/Nga-Whanaketanga-Rumaki-Maori-NWRM-2011
+https://ngatiporoukiponeke.org.nz/to-aroha/
+http://www.tmoa.tki.org.nz/Kura/He-Reo-Moteatea-Overview/Ka-Eke-ki-Wairaka-English/Ka-Eke-ki-Wairaka
+http://maori.livingheritage.org.nz/Nga-korero-a-nga-kura/Ko-Hongoeka-te-Marae
+http://maori.livingheritage.org.nz/Nga-korero-a-nga-kura/Discovering-Edgecumbe/Media-files
+http://pukoro.co.nz/mi/songs-and-lyrics/song-7-the-senses/
+https://tiritiowaitangi.govt.nz/quotes/
+http://www.kurakokiri.maori.nz/news.html
+http://maori.tki.org.nz/Nga-korero-hou/(offset)/20
+http://www.tmoa.tki.org.nz/rss/feed/tmoa
+https://www.components-mart.nz/products/Switches/Keylock-Switches.html
+https://www.terakipaewhenua.school.nz/kakahu-kura/
+https://tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/te-taiao/
+http://tiritiowaitangi.govt.nz/maps/maoriland1890.php
+https://www.tetaurawhiri.govt.nz/he-muka/he-muka/mihi-ki-te-hunga-mate/
+http://pukoro.co.nz/mi/computer-games/game-17-dog-grooming
+https://www.tetaurawhiri.govt.nz/events/nga-tohu-reo-maori/nga-tohu-reo-maori-2018/
+http://www.tmoa.tki.org.nz/Kura/He-Reo-Moteatea-Tirohanga-whanui/Tirotiro-Kau-Au-Maori
+https://www.infinite-electronic.nz/Discrete-Semiconductor-Products/Diodes-Rectifiers-Arrays_page26.aspx
+https://oag.govt.nz/2007/maori/docs/oag-whakamahinga-i-te-rautaki-reo-maori.pdf
+https://www.tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/christmas/
+http://tmoa.tki.org.nz/Kura/Te-Reo-a-Waha/Te-whakaako-reo-a-waha/Te-whakaako-reo-tuarua
+http://www.tmoa.tki.org.nz/Pakiwaitara-Marau/Te-Ahua-o-a-Tatau-Akonga
+http://tmoa.tki.org.nz/Nga-Whanaketanga-Rumaki-Maori
+https://admin.teara.govt.nz/mi/biographies/2t34/te-whiti-o-rongomai-iii-erueti
+http://tmoa.tki.org.nz/Karere-Hou/Wanangatia-te-Putanga-Tauira
+https://www.components-mart.nz/products/Switches/Thumbwheel-Switches.html
+http://www.twtop.school.nz/65/pages/23-ko-waitaha-ariki-kore-tenei
+http://maori.livingheritage.org.nz/Nga-korero-a-nga-kura/How-Hokitika-got-its-name/Our-team
+https://paekupu.co.nz/word/ahiahi-po
+https://ngatiporoukiponeke.org.nz/page/3/
+https://www.heartland.co.nz/maori/about-us/sponsorship
+https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/maori-language-week-2018/
+http://maori.livingheritage.org.nz/Whai-wahi
+http://www.waiata.maori.nz/mri/song/e-te-pouaka-whakaata-maaori
+http://tmoa.tki.org.nz/Karere-Hou/Te-whakataetae-tuhinga-roa-a-Ngarimu
+http://www.tereowrap.nz/tmwo_apitihanga_b.html
+http://www.tmoa.tki.org.nz/Nga-Whanaketanga-Rumaki-Maori/Te-Marautanga-o-Aotearoa
+https://www.tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/te-mahi-kai/
+https://punareo.co.nz/wp-content/uploads/2018/12/Pakeke-mai-o-mati-mati-x2.docx
+http://tmoa.tki.org.nz/Karere-Hou/Te-Mangoroa
+http://www.tmoa.tki.org.nz/Karere-Hou/Mena-kaore-ano-koe-kia-kite
+http://www.tmoa.tki.org.nz/Nga-Whanaketanga-Rumaki-Maori/Te-Hoahoa-i-Nga-Whanaketanga-Rumaki-Maori
+http://animations.tewhanake.maori.nz/te-mahuri/te-whanga-tuarua/361
+http://www.tmoa.tki.org.nz/Nga-Whanaketanga-Rumaki-Maori/He-pukaiti-mo-nga-whanau
+http://www.kura-porirua.school.nz/194/profile_areas/6-te-rarangi-ropu-kaitiaki-board-of-trustees-directory/categories/30-te-ropu-kaitiaki/profiles/93-michelle-hippolite
+http://tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/He-Maherehere-Paerewa-Paetae2
+http://www.tmoa.tki.org.nz/Kura/Te-Reo-a-Waha/Nga-ataata
+http://www.kura-porirua.school.nz/194/profile_areas/6-te-rarangi-ropu-kaitiaki-board-of-trustees-directory/categories/30-te-ropu-kaitiaki/profiles/99-wareko-te-angina
+http://tmoa.tki.org.nz/Te-Marautanga-o-Aotearoa/Nga-Wahanga-Ako/Tikanga-a-Iwi
+http://www.teipukarea.maori.nz/assets/Docs/Te-Puna-o-te-Ki-2017-Abstracts-booklet.pdf
+http://www.twtop.school.nz/869/pages/79-nga-purakau-o-mataatua
+https://tiritiowaitangi.govt.nz/timeline/treaty1950.php
+http://www.kura-porirua.school.nz/331/easy_pages/162-manu-korero
+https://www.tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/wallet-phrase-cards/
+https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/100-sleeps/
+http://tmoa.tki.org.nz/Karere-Hou/Akona-te-Tau-Hine-Raumati
+http://www.tmoa.tki.org.nz/Rangahau/TMoA-me-NWRM
+https://www.tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/aotearoa/
+https://tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/kia-ora-hakinakina-booklet/
+http://tmoa.tki.org.nz/Karere-Hou/Pakiwaitara-marau-hou-mo-Mataiako
+http://tmoa.tki.org.nz/Mataiako/Wahanga-Aromatawai
+https://www.terito.school.nz/2018-3/
+http://tmoa.tki.org.nz/Te-Matanuku/PLD/test
+https://www.infinite-electronic.nz/Discrete-Semiconductor-Products/Diodes-Rectifiers-Single_page12.aspx
+http://tewhanake.maori.nz/maori/index.php
+http://www.tmoa.tki.org.nz/Karere-Hou/Te-ahua-o-a-tatou-akonga
+https://tiritiowaitangi.govt.nz/sitemap/index.php
+http://tiritiowaitangi.govt.nz/story/nativelandcourt.php
+http://www.firstworldwar.tki.org.nz/mi/rauemi/nga-panga-o-te-pakanga-tuatahi-o-te-ao-ki-taranaki/
+https://www.e-agent.nz/mi/index.cfm
+https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/ko-wai-nga-toa-reo-maori-o-te-tau-2017/
+https://teaomaori.news/mi/e-whakarite-ana-tetahi-tama-no-ruatoki-mo-te-whakataetae-tenehi-a-motu
+http://pukoro.co.nz/mi/songs-and-lyrics/flying-in-the-sky/
+http://www.tmoa.tki.org.nz/Pakiwaitara-Marau/Te-wahi-o-te-whanau-i-roto-i-nga-mahi-ripoata
+https://www.terito.school.nz/tirohanga-whanui/
+https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/good-for-te-reo-good-for-business/
+https://paekupu.co.nz/word/ara-kopiko-o-te-nekeneke
+https://www.tetaurawhiri.govt.nz/he-muka/he-muka/takuta-james-te-wharehuia-milroy/
+https://tetaurawhiri.govt.nz/ako/tikanga/nga-mihi/
+http://auturoa.nz/MaaramatakaMoonClock.html
+https://www.tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/mihimihi/
+http://animations.tewhanake.maori.nz/te-mahuri/te-whanga-tuatahi/416
+https://www.oag.govt.nz/2007/maori/wahanga1.htm
+http://waiata.maori.nz/mri/browse/genre
+https://www.infinite-electronic.nz/Discrete-Semiconductor-Products/Transistors-Bipolar(BJT)-Single,Pre-Biased_page13.aspx
+https://tiritiowaitangi.govt.nz/story/leaduptotreaty.php
+http://www.teipukarea.maori.nz/video-mi-nz/te-puna-o-te-ki-he-pakipumeka-mi-nz/
+http://maori.livingheritage.org.nz/Nga-korero-a-nga-kura/(offset)/60
+https://tiritiowaitangi.govt.nz/maps/index.php
+http://www.tmoa.tki.org.nz/Kura/He-Reo-Moteatea-Tirohanga-whanui/Ruaumoko-Maori
+http://www.tmoa.tki.org.nz/Puna-Mahara
+http://www.tmoa.tki.org.nz/Kura/He-Anga-Ako-ma-te-Pouako
+http://www.tmoa.tki.org.nz/Karere-Hou/He-ripoata-na-Te-Tari-Arotake-Matauranga-ERO
+https://www.lcds-display.nz/products/CG-Silicon_2.7-inch.htm
+http://www.twtop.school.nz/66/blogs/1-te-ohinga-panui/posts/18-term-2-week-7
+http://www.tmoa.tki.org.nz/Kura/He-Reo-Moteatea-Overview/Ruaumoko-English/Ruaumoko
+https://www.infinite-electronic.nz/Discrete-Semiconductor-Products/Diodes-Rectifiers-Arrays_page3.aspx
+http://www.tmoa.tki.org.nz/Pakiwaitara-Marau/Te-whanau-te-hapu-me-te-runanga
+https://www.tetaurawhiri.govt.nz/ratonga/kaupapahere-whanaketanga/
+https://www.tekura.school.nz/dual-providers-mi-nz/my-te-kura-faq-mi-nz/
+http://www.firstworldwar.tki.org.nz/mi/nga-kaupapa/te-whatu-hononga/
+http://tmoa.tki.org.nz/Mataiako/Te-Waharoa-Ararau/Nga-rauemi-mo-TWA
+https://www.terito.school.nz/
+http://www.tmoa.tki.org.nz/Karere-Hou/Hangarau-Matihiko
+https://ttw1.cwp.govt.nz/assets/Corporate-publications/He-Muka/2008/Putanga-21-4-Raumati-2008.pdf
+https://tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/mihimihi/
+https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/he-whakaari-pukuhohe-reo-maori-hou/
+https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/a-strategic-revitalisation-budget-for-te-reo-maori/
+https://tiritiowaitangi.govt.nz/casestudies/
+http://tmoa.tki.org.nz/content/download/2244/17096/file/91662-sam-2014.doc
+http://kuraaiwi.maori.nz/registration-test.html
+http://maori.livingheritage.org.nz/layout/set/print/Pae-mahere
+http://animations.tewhanake.maori.nz/te-kohure/te-wahanga-tuatoru
+https://ttw1.cwp.govt.nz/he-muka/he-muka-archive/2005-2009/
+http://pukoro.co.nz/mi/crafts/test
+http://www.tmoa.tki.org.nz/content/download/2243/17092/file/91659-spc-2014.pdf
+https://www.components-mart.nz/contact-us.htm
+http://www.tmoa.tki.org.nz/Mataiako/Wahanga-Aromatawai/Te-Reo-Maori/Korero/Kawea-te-Rongo-Ki-Mai-He-Whakamatau-Reo-Korero-JOST
+http://pukoro.co.nz/mi/learning-points/count-to-9/
+https://teaomaori.news/mi/e-whakanui-ana-te-taone-o-whanganui-i-ratou-piriti
+https://punareo.co.nz/wp-content/uploads/2018/12/Te-hokinga-mai.docx
+http://pukapuka.nz/portfolio/purerehua/
+https://www.lcds-display.nz/products/CG-Silicon_2.0-inch.htm
+https://teaomaori.news/mi/ka-kitea-nga-pukenga-tetahi-kohine-tamariki-rawa-ki-te-whakataetae-tenehi-ki
+https://www.tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/hangarau/
+https://www.infinite-electronic.nz/Discrete-Semiconductor-Products/Thyristors-TRIACs_page9.aspx
+http://www.kkmmaungarongo.co.nz/
+http://www.tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea
+http://www.tmoa.tki.org.nz/Karere-Hou/Matariki
+http://www.huri-translations.pf/maori/tangi-manu.html
+http://pukoro.co.nz/files/pdf/Pakiwaitara_o_Kaha.pdf
+https://www.tetaurawhiri.govt.nz/assets/Resources/2014/18873bd218/Te-Kupu-o-te-Wiki-Poster.pdf
+https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/30-year-anniversary-celebration/
+http://tmoa.tki.org.nz/Kura/He-Reo-Moteatea-Tirohanga-whanui
+http://tiritiowaitangi.govt.nz/maps/maoriland1910.php
+http://hangaraumatihiko.tki.org.nz/te-tupuranga-tangata-me-te-rorohiko/tupuranga1/
+https://admin.teara.govt.nz/mi/biographies/4m38/mapu-james-waitaringa
+http://tmoa.tki.org.nz/Mataiako/Whiriwhiria-tetahi-rauemi-aromatawai/(area)/858/(sub_area)/867
+https://www.components-mart.nz/products/Sensors,Transducers/Optical-Sensors-Photointerrupters-Slot-Type-Logic-Output.html
+http://www.tmoa.tki.org.nz/Kura/He-Reo-Moteatea-Tirohanga-whanui
+http://tmoa.tki.org.nz/Pakiwaitara-Marau/Pihipihinga
+http://www.tmoa.tki.org.nz/Karere-Hou/Wanangatia-te-Putanga-Tauira
+https://www.tekura.school.nz/about-us-mi-nz/our-students-mi-nz/
+http://www.twtop.school.nz/66/comment_areas/3-korero-mai
+https://www.infinite-electronic.nz/Discrete-Semiconductor-Products/Diodes-RF_page28.aspx
+http://www.teipukarea.maori.nz/video-mi-nz/tauwehe-tamati-hemi-dale-mi-nz/
+http://www.tmoa.tki.org.nz/Rangahau
+http://www.teipukarea.maori.nz/contact-us-mi-nz/
+https://admin.teara.govt.nz/mi/biographies/3s38/stowell-henry-matthew
+https://paekupu.co.nz/word/ahuatini
+http://www.tmoa.tki.org.nz/content/download/2242/17088/file/91659-sas-2014.doc
+http://www.tmoa.tki.org.nz/Karere-Hou/Rauemi-aromatawai
+http://tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/Hangarau/1.5-Te-whakamahi-rawa-te-whakamahi-tukanga-ranei-no-roto-mai-i-te-matauranga-Maori-hei-hanga-i-tetahi-hua-hangarau-mo-te-ao-hurihuri-nei
+http://tmoa.tki.org.nz/Akonga
+https://www.tetaurawhiri.govt.nz/kaupapa/tatai-korero-2/1900-tatai-korero/
+http://www.waiata.maori.nz/en/song/hei-konei-raa
+http://firstworldwar.tki.org.nz/mi/nga-kaupapa/tuakiri-me-te-tuku-ihotanga/
+https://www.infinite-electronic.nz/Discrete-Semiconductor-Products/Transistors-Bipolar(BJT)-Arrays_page15.aspx
+http://tmoa.tki.org.nz/content/download/2243/17092/file/91659-spc-2014.pdf
+http://www.tmoa.tki.org.nz/Karere-Hou/He-purongo-TMoA-me-NWRM
+http://www.tmoa.tki.org.nz/Rangahau/Whakapiki-i-te-Reo
+https://www.infinite-electronic.nz/Integrated-Circuits(ICs)/Data-Acquisition-Digital-Potentiometers.aspx
+http://www.waiata.maori.nz/mri/song/te-hono-ki-rarotonga
+http://www.tmoa.tki.org.nz/Te-Marautanga-o-Aotearoa/Te-Anga/Nga-Wahanga-o-Te-Marautanga-o-Aotearoa
+http://tmoa.tki.org.nz/Te-Marautanga-o-Aotearoa/Nga-Wahanga-Ako/Hauora
+http://www.tmoa.tki.org.nz/Karere-Hou/LEARNZ
+http://www.tmoa.tki.org.nz/Mataiako/Te-Waharoa-Ararau/Te-Waharoa-Ararau-Modules/TWA-Module-4
+http://www.waiata.maori.nz/mri/resources
+https://paekupu.co.nz/word/araitanga-marama
+https://www.infinite-electronic.nz/Discrete-Semiconductor-Products/Diodes-Zener-Arrays_page11.aspx
+http://www.kurakokiri.maori.nz/community.html
+http://www.tmoa.tki.org.nz/Karere-Hou/Takatu-Ake
+http://pukoro.co.nz/mi/crafts/building-a-brick-house/
+http://www.tmoa.tki.org.nz/Karere-Hou/Hui-taumata-matauranga-ki-Waitakere
+https://www.tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/hangarau/
+http://tmoa.tki.org.nz/Mataiako/Wahanga-Aromatawai/Te-Reo-Maori/Korero/Takapiringa
+http://www.waiata.maori.nz/mri/song/poi-e
+http://www.huri-translations.pf/maori/destinations.html
+https://office.e-agent.nz/mi/about.cfm
+https://tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/taiao/
+http://www.tmoa.tki.org.nz/Pakiwaitara-Marau/Korerohia-o-whakaaro-whanau-ma
+http://tmoa.tki.org.nz/Rangahau/He-Uiui-Kaiako-mo-NWRM2
+http://www.tmoa.tki.org.nz/content/download/2611/18867/file/91780-exm-2015.pdf
+http://tmoa.tki.org.nz/Pakiwaitara-Marau/Te-Whanau-Tahi
+http://www.livingheritage.org.nz/layout/set/print/Schools-Stories/Ko-Hongoeka-te-Marae/Nga-Kaupapa-Whakahaere
+https://www.tetaurawhiri.govt.nz/rauemi-a-ipurangi/rauemi/te-kupu-o-te-wiki-poster/
+http://tmoa.tki.org.nz/Karere-Hou/Hine-Takurua-raua-ko-Hine-Raumati-ma-te-pouako
+http://www.tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/Tikanga-A-Iwi/1.1-Te-whakaatu-maramatanga-ki-ta-te-Maori-pahekoheko-ki-te-ao-turoa
+https://ttw1.cwp.govt.nz/he-muka/kainga/he-pataka-kupu/
+http://tmoa.tki.org.nz/Karere-Hou/Ako-Panuku
+http://firstworldwar.tki.org.nz/mi
+https://ngatiporoukiponeke.org.nz/haere-mai-e-nga-iwi-e/
+http://pukoro.co.nz/mi/vocab-with-kori/bib/
+http://tmoa.tki.org.nz/Karere-Hou/Education-Review-Office
+http://pukoro.co.nz/mi/crafts/test-craft-2/
+https://tetaurawhiri.govt.nz/kaupapa/panui-papaho/kua-90-noa-nga-moe-kia-tae-mai-ki-te-wiki-o-te-reo-maori-2019/
+http://www.tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/Tikanga-A-Iwi/1.1-Te-whakaatu-maramatanga-ki-ta-te-Maori-pahekoheko-ki-te-ao-turoa
+https://www.tekura.school.nz/about-us-mi-nz/complaints-process-mi-nz/
+http://pukoro.co.nz/mi/printables/an-eye-test/
+http://www.tmoa.tki.org.nz/Kura/He-Reo-Moteatea-Tirohanga-whanui/Ka-Eke-ki-Wairaka-Maori/Ka-Eke-ki-Wairaka
+https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/kua-hono-tahi-a-vodafone-me-te-taura-whiri-i-te-reo-maori-kia-whakakaha-te-reo/
+https://kupengahao.co.nz/portfolio-filter/pangarau/feed/
+https://www.infinite-electronic.nz/Discrete-Semiconductor-Products/Diodes-Rectifiers-Arrays_page29.aspx
+https://www.maoritelevision.com/mi/kapahaka/te-matatini/groups/ngati-kahungunu-ki-heretaunga
+https://www.tetaurawhiri.govt.nz/kaupapa/tanga-rangatopu/te-tauaki-koronga-mo-nga-mahi-kia-tutuki/
+http://www.waiata.maori.nz/en/song/he-waiata-tangi-m-hirini
+http://tiritiowaitangi.govt.nz/sitemap/index.php
+http://tmoa.tki.org.nz/Pakiwaitara-Marau/TKKM-o-Kaikohe-Te-Reo-o-Te-Whanau
+http://pukoro.co.nz/mi/vocab-with-kori/seaweed/
+http://pukoro.co.nz/mi/crafts/test-craft-2
+https://paekupu.co.nz/word/apiapi
+http://www.tmoa.tki.org.nz/Taumata-Matauranga-a-Motu-Ka-Taea/Pangarau/1.6-Te-whakamahi-whakaaro-ahuahanga-hei-whakaoti-rapanga
+http://www.kurakokiri.maori.nz/community.html
+http://www.waiata.maori.nz/mri/song/whakarongo
+http://www.tmoa.tki.org.nz/Pakiwaitara-Marau/Korerohia-o-whakaaro-whanau-ma
+http://www.huri-translations.pf/rarotongan/tangi-manu.html
+http://tiritiowaitangi.govt.nz/quotes/1900.php
+http://pukoro.co.nz/mi/learning-points/test-learning-points-2/
+http://www.waiata.maori.nz/mri/song/he-waiata-tangi-m-hirini
+https://www.tetaurawhiri.govt.nz/kaupapa/panui-papaho/kaua-e-whiua-whanaia-dont-pass-it-kick-it/
+https://tiritiowaitangi.govt.nz/quotes/1960.php
+http://www.wcl.govt.nz/mawhaituhi/tikanga.php
+http://www.twtop.school.nz/1/calendars/2-maramataka
+http://tiritiowaitangi.govt.nz/story/leaduptotreaty.php
+http://www.tmoa.tki.org.nz/Pakiwaitara-Marau/Te-whanau-te-hapu-me-te-runanga
+http://www.huri-translations.pf/tahitian/branding.html
+https://sexualviolence.victimsinfo.govt.nz/mi/privacy/
Index: /other-projects/maori-lang-detection/mongodb-data/tables.txt
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/tables.txt	(revision 33871)
+++ /other-projects/maori-lang-detection/mongodb-data/tables.txt	(revision 33872)
@@ -157,4 +157,5 @@
 ]);
 
+
 NZ:
 db.Websites.aggregate([
@@ -179,2 +180,26 @@
     { $sort : { count : -1} }
 ]);
+
+
+BETTER, numPagesINMRI rather than containingMRI:
+db.Websites.aggregate([
+    {
+        $match: {
+            $and: [
+                {numPagesInMRI: {$gt: 0}},
+                {$or: [{geoLocationCountryCode:"NZ"},{domain: /\.nz/}]}
+            ]
+        }
+    },
+    { $unwind: "$geoLocationCountryCode" },
+    {
+        $group: {
+            _id: "nz",
+            count: { $sum: 1 },
+            domain: { $addToSet: '$domain' },
+            numPagesInMRICount: { $sum: '$numPagesInMRI' },
+            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' }
+        }
+    },
+    { $sort : { count : -1} }
+]);