Index: her-projects/maori-lang-detection/mongodb-data/6a_counts_geojson-features_manualShortlist_numPagesInMRI.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/6a_counts_geojson-features_manualShortlist_numPagesInMRI.json	(revision 33873)
+++ 	(revision )
@@ -1,1 +1,0 @@
-{"type":"FeatureCollection","features":[{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-84.12118430750687,-40.900557],[-84.12118430750687,25.12973907687671],[180.0,25.12973907687671],[180.0,-40.900557],[-84.12118430750687,-40.900557]]]},"properties":{"code":"NZ","count":4360,"region":"New Zealand"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-127.712891,37.09024],[-127.712891,79.65274],[-63.712891,79.65274],[-63.712891,37.09024],[-127.712891,37.09024]]]},"properties":{"code":"US","count":681,"region":"United States"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[131.775136,-25.274398],[131.775136,-17.274398],[135.775136,-17.274398],[135.775136,-25.274398],[131.775136,-25.274398]]]},"properties":{"code":"AU","count":8,"region":"Australia"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[8.451526,51.165691],[8.451526,55.165691],[12.451526,55.165691],[12.451526,51.165691],[8.451526,51.165691]]]},"properties":{"code":"DE","count":4,"region":"Germany"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[7.501785,56.26392],[7.501785,60.26392],[11.501785,60.26392],[11.501785,56.26392],[7.501785,56.26392]]]},"properties":{"code":"DK","count":4,"region":"Denmark"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[23.48583,42.733883],[23.48583,44.733883],[27.48583,44.733883],[27.48583,42.733883],[23.48583,42.733883]]]},"properties":{"code":"BG","count":2,"region":"Bulgaria"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-5.74922,40.463667],[-5.74922,41.463667],[-1.7492200000000002,41.463667],[-1.7492200000000002,40.463667],[-5.74922,40.463667]]]},"properties":{"code":"ES","count":1,"region":"Spain"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[0.21374899999999997,46.227638],[0.21374899999999997,47.227638],[4.213749,47.227638],[4.213749,46.227638],[0.21374899999999997,46.227638]]]},"properties":{"code":"FR","count":1,"region":"France"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-10.24389,53.41291],[-10.24389,54.41291],[-6.24389,54.41291],[-6.24389,53.41291],[-10.24389,53.41291]]]},"properties":{"code":"IE","count":1,"region":"Ireland"}}]}
Index: her-projects/maori-lang-detection/mongodb-data/6a_counts_multipoint_manualShortlist_numPagesInMRI.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/6a_counts_multipoint_manualShortlist_numPagesInMRI.json	(revision 33873)
+++ 	(revision )
@@ -1,12 +1,0 @@
-{"type":"MultiPoint","coordinates":
-[
-	[174.885971,-40.900557],
-	[-95.712891,37.09024],
-	[133.775136,-25.274398],
-	[10.451526,51.165691],
-	[9.501785,56.26392],
-	[25.48583,42.733883],
-	[-3.74922,40.463667],
-	[2.213749,46.227638],
-	[-8.24389,53.41291]
-]}
Index: /other-projects/maori-lang-detection/mongodb-data/6a_geojson-features_manualShortlist_numPagesInMRI.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/6a_geojson-features_manualShortlist_numPagesInMRI.json	(revision 33873)
+++ /other-projects/maori-lang-detection/mongodb-data/6a_geojson-features_manualShortlist_numPagesInMRI.json	(revision 33874)
@@ -1,1 +1,1 @@
-{"type":"FeatureCollection","features":[{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[46.88597100000001,-40.900557],[46.88597100000001,27.224443],[302.88597100000004,27.224443],[302.88597100000004,-40.900557],[46.88597100000001,-40.900557]]]},"properties":{"code":"NZ","count":4360,"region":"New Zealand"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-127.712891,37.09024],[-127.712891,79.65274],[-63.712891,79.65274],[-63.712891,37.09024],[-127.712891,37.09024]]]},"properties":{"code":"US","count":681,"region":"United States"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[131.775136,-25.274398],[131.775136,-17.274398],[135.775136,-17.274398],[135.775136,-25.274398],[131.775136,-25.274398]]]},"properties":{"code":"AU","count":8,"region":"Australia"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[8.451526,51.165691],[8.451526,55.165691],[12.451526,55.165691],[12.451526,51.165691],[8.451526,51.165691]]]},"properties":{"code":"DE","count":4,"region":"Germany"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[7.501785,56.26392],[7.501785,60.26392],[11.501785,60.26392],[11.501785,56.26392],[7.501785,56.26392]]]},"properties":{"code":"DK","count":4,"region":"Denmark"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[23.48583,42.733883],[23.48583,44.733883],[27.48583,44.733883],[27.48583,42.733883],[23.48583,42.733883]]]},"properties":{"code":"BG","count":2,"region":"Bulgaria"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-5.74922,40.463667],[-5.74922,41.463667],[-1.7492200000000002,41.463667],[-1.7492200000000002,40.463667],[-5.74922,40.463667]]]},"properties":{"code":"ES","count":1,"region":"Spain"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[0.21374899999999997,46.227638],[0.21374899999999997,47.227638],[4.213749,47.227638],[4.213749,46.227638],[0.21374899999999997,46.227638]]]},"properties":{"code":"FR","count":1,"region":"France"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-10.24389,53.41291],[-10.24389,54.41291],[-6.24389,54.41291],[-6.24389,53.41291],[-10.24389,53.41291]]]},"properties":{"code":"IE","count":1,"region":"Ireland"}}]}
+{"type":"FeatureCollection","features":[{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-84.12118430750687,-40.900557],[-84.12118430750687,25.12973907687671],[180.0,25.12973907687671],[180.0,-40.900557],[-84.12118430750687,-40.900557]]]},"properties":{"code":"NZ","count":4360,"region":"New Zealand"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-127.712891,37.09024],[-127.712891,79.65274],[-63.712891,79.65274],[-63.712891,37.09024],[-127.712891,37.09024]]]},"properties":{"code":"US","count":681,"region":"United States"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[131.775136,-25.274398],[131.775136,-17.274398],[135.775136,-17.274398],[135.775136,-25.274398],[131.775136,-25.274398]]]},"properties":{"code":"AU","count":8,"region":"Australia"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[8.451526,51.165691],[8.451526,55.165691],[12.451526,55.165691],[12.451526,51.165691],[8.451526,51.165691]]]},"properties":{"code":"DE","count":4,"region":"Germany"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[7.501785,56.26392],[7.501785,60.26392],[11.501785,60.26392],[11.501785,56.26392],[7.501785,56.26392]]]},"properties":{"code":"DK","count":4,"region":"Denmark"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[23.48583,42.733883],[23.48583,44.733883],[27.48583,44.733883],[27.48583,42.733883],[23.48583,42.733883]]]},"properties":{"code":"BG","count":2,"region":"Bulgaria"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-5.74922,40.463667],[-5.74922,41.463667],[-1.7492200000000002,41.463667],[-1.7492200000000002,40.463667],[-5.74922,40.463667]]]},"properties":{"code":"ES","count":1,"region":"Spain"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[0.21374899999999997,46.227638],[0.21374899999999997,47.227638],[4.213749,47.227638],[4.213749,46.227638],[0.21374899999999997,46.227638]]]},"properties":{"code":"FR","count":1,"region":"France"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-10.24389,53.41291],[-10.24389,54.41291],[-6.24389,54.41291],[-6.24389,53.41291],[-10.24389,53.41291]]]},"properties":{"code":"IE","count":1,"region":"Ireland"}}]}