Index: her-projects/maori-lang-detection/mongodb-data/6b_counts_geojson-features_manualShortlist_numPagesContainingMRI.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/6b_counts_geojson-features_manualShortlist_numPagesContainingMRI.json	(revision 33874)
+++ 	(revision )
@@ -1,1 +1,0 @@
-{"type":"FeatureCollection","features":[{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-140.00000000000003,-40.900557],[-140.00000000000003,79.611943],[180.0,79.611943],[180.0,-40.900557],[-140.00000000000003,-40.900557]]]},"properties":{"code":"NZ","count":9641,"region":"New Zealand"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-140.0,37.09024],[-140.0,66.87149],[-11.999999999999986,66.87149],[-11.999999999999986,37.09024],[-140.0,37.09024]]]},"properties":{"code":"US","count":953,"region":"United States"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[131.775136,-25.274398],[131.775136,60.725601999999995],[135.775136,60.725601999999995],[135.775136,-25.274398],[131.775136,-25.274398]]]},"properties":{"code":"AU","count":86,"region":"Australia"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[8.451526,51.165691],[8.451526,62.165691],[12.451526,62.165691],[12.451526,51.165691],[8.451526,51.165691]]]},"properties":{"code":"DE","count":11,"region":"Germany"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[7.501785,56.26392],[7.501785,63.26392],[11.501785,63.26392],[11.501785,56.26392],[7.501785,56.26392]]]},"properties":{"code":"DK","count":7,"region":"Denmark"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[23.48583,42.733883],[23.48583,44.733883],[27.48583,44.733883],[27.48583,42.733883],[23.48583,42.733883]]]},"properties":{"code":"BG","count":2,"region":"Bulgaria"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[13.472962,49.817492],[13.472962,50.817492],[17.472962000000003,50.817492],[17.472962000000003,49.817492],[13.472962,49.817492]]]},"properties":{"code":"CZ","count":1,"region":"Czech Republic"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-5.74922,40.463667],[-5.74922,41.463667],[-1.7492200000000002,41.463667],[-1.7492200000000002,40.463667],[-5.74922,40.463667]]]},"properties":{"code":"ES","count":1,"region":"Spain"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[0.21374899999999997,46.227638],[0.21374899999999997,47.227638],[4.213749,47.227638],[4.213749,46.227638],[0.21374899999999997,46.227638]]]},"properties":{"code":"FR","count":1,"region":"France"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-10.24389,53.41291],[-10.24389,56.41291],[-6.24389,56.41291],[-6.24389,53.41291],[-10.24389,53.41291]]]},"properties":{"code":"IE","count":3,"region":"Ireland"}}]}
Index: her-projects/maori-lang-detection/mongodb-data/6b_counts_multipoint_manualShortlist_numPagesContainingMRI.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/6b_counts_multipoint_manualShortlist_numPagesContainingMRI.json	(revision 33874)
+++ 	(revision )
@@ -1,13 +1,0 @@
-{"type":"MultiPoint","coordinates":
-[
-	[174.885971,-40.900557],
-	[-95.712891,37.09024],
-	[133.775136,-25.274398],
-	[10.451526,51.165691],
-	[9.501785,56.26392],
-	[25.48583,42.733883],
-	[15.472962,49.817492],
-	[-3.74922,40.463667],
-	[2.213749,46.227638],
-	[-8.24389,53.41291]
-]}
Index: /other-projects/maori-lang-detection/mongodb-data/6b_geojson-features_manualShortlist_numPagesContainingMRI.json
===================================================================
--- /other-projects/maori-lang-detection/mongodb-data/6b_geojson-features_manualShortlist_numPagesContainingMRI.json	(revision 33874)
+++ /other-projects/maori-lang-detection/mongodb-data/6b_geojson-features_manualShortlist_numPagesContainingMRI.json	(revision 33875)
@@ -1,1 +1,1 @@
-{"type":"FeatureCollection","features":[{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-81.11402899999999,-40.900557],[-81.11402899999999,34.4197555],[430.88597100000004,34.4197555],[430.88597100000004,-40.900557],[-81.11402899999999,-40.900557]]]},"properties":{"code":"NZ","count":9641,"region":"New Zealand"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-159.712891,37.09024],[-159.712891,66.87149],[-31.712891,66.87149],[-31.712891,37.09024],[-159.712891,37.09024]]]},"properties":{"code":"US","count":953,"region":"United States"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[131.775136,-25.274398],[131.775136,60.725601999999995],[135.775136,60.725601999999995],[135.775136,-25.274398],[131.775136,-25.274398]]]},"properties":{"code":"AU","count":86,"region":"Australia"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[8.451526,51.165691],[8.451526,62.165691],[12.451526,62.165691],[12.451526,51.165691],[8.451526,51.165691]]]},"properties":{"code":"DE","count":11,"region":"Germany"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[7.501785,56.26392],[7.501785,63.26392],[11.501785,63.26392],[11.501785,56.26392],[7.501785,56.26392]]]},"properties":{"code":"DK","count":7,"region":"Denmark"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[23.48583,42.733883],[23.48583,44.733883],[27.48583,44.733883],[27.48583,42.733883],[23.48583,42.733883]]]},"properties":{"code":"BG","count":2,"region":"Bulgaria"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[13.472962,49.817492],[13.472962,50.817492],[17.472962000000003,50.817492],[17.472962000000003,49.817492],[13.472962,49.817492]]]},"properties":{"code":"CZ","count":1,"region":"Czech Republic"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-5.74922,40.463667],[-5.74922,41.463667],[-1.7492200000000002,41.463667],[-1.7492200000000002,40.463667],[-5.74922,40.463667]]]},"properties":{"code":"ES","count":1,"region":"Spain"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[0.21374899999999997,46.227638],[0.21374899999999997,47.227638],[4.213749,47.227638],[4.213749,46.227638],[0.21374899999999997,46.227638]]]},"properties":{"code":"FR","count":1,"region":"France"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-10.24389,53.41291],[-10.24389,56.41291],[-6.24389,56.41291],[-6.24389,53.41291],[-10.24389,53.41291]]]},"properties":{"code":"IE","count":3,"region":"Ireland"}}]}
+{"type":"FeatureCollection","features":[{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-140.00000000000003,-40.900557],[-140.00000000000003,79.611943],[180.0,79.611943],[180.0,-40.900557],[-140.00000000000003,-40.900557]]]},"properties":{"code":"NZ","count":9641,"region":"New Zealand"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-140.0,37.09024],[-140.0,66.87149],[-11.999999999999986,66.87149],[-11.999999999999986,37.09024],[-140.0,37.09024]]]},"properties":{"code":"US","count":953,"region":"United States"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[131.775136,-25.274398],[131.775136,60.725601999999995],[135.775136,60.725601999999995],[135.775136,-25.274398],[131.775136,-25.274398]]]},"properties":{"code":"AU","count":86,"region":"Australia"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[8.451526,51.165691],[8.451526,62.165691],[12.451526,62.165691],[12.451526,51.165691],[8.451526,51.165691]]]},"properties":{"code":"DE","count":11,"region":"Germany"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[7.501785,56.26392],[7.501785,63.26392],[11.501785,63.26392],[11.501785,56.26392],[7.501785,56.26392]]]},"properties":{"code":"DK","count":7,"region":"Denmark"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[23.48583,42.733883],[23.48583,44.733883],[27.48583,44.733883],[27.48583,42.733883],[23.48583,42.733883]]]},"properties":{"code":"BG","count":2,"region":"Bulgaria"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[13.472962,49.817492],[13.472962,50.817492],[17.472962000000003,50.817492],[17.472962000000003,49.817492],[13.472962,49.817492]]]},"properties":{"code":"CZ","count":1,"region":"Czech Republic"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-5.74922,40.463667],[-5.74922,41.463667],[-1.7492200000000002,41.463667],[-1.7492200000000002,40.463667],[-5.74922,40.463667]]]},"properties":{"code":"ES","count":1,"region":"Spain"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[0.21374899999999997,46.227638],[0.21374899999999997,47.227638],[4.213749,47.227638],[4.213749,46.227638],[0.21374899999999997,46.227638]]]},"properties":{"code":"FR","count":1,"region":"France"}},{"type":"Feature","geometry":{"type":"Polygon","coordinates":[[[-10.24389,53.41291],[-10.24389,56.41291],[-6.24389,56.41291],[-6.24389,53.41291],[-10.24389,53.41291]]]},"properties":{"code":"IE","count":3,"region":"Ireland"}}]}