Index: other-projects/maori-lang-detection/mongodb-data/1a_table_miInUrlPath.csv
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/1a_table_miInUrlPath.csv	(revision 33887)
+++ other-projects/maori-lang-detection/mongodb-data/1a_table_miInUrlPath.csv	(revision 33889)
@@ -1,25 +1,26 @@
-﻿"_id","count","numPagesInMRICount","numPagesContainingMRICount"
-"US","408.0","1169","3872"
-"CN","123.0","281","1144"
-"FR","34.0","754","1091"
-"UNKNOWN","19.0","115","125"
-"NZ","14.0","618","1097"
-"DE","12.0","145","212"
-"NL","8.0","76","115"
-"CA","7.0","29","119"
-"HK","7.0","3","12"
-"AU","7.0","19","117"
-"GB","5.0","3","7"
-"JP","5.0","1","3"
-"UA","4.0","9","10"
-"RU","4.0","0","14"
-"VG","2.0","0","0"
-"SG","2.0","2","13"
-"DK","2.0","0","0"
-"IE","1.0","17","21"
-"ZA","1.0","0","0"
-"TR","1.0","0","2"
-"SE","1.0","0","0"
-"EU","1.0","0","7"
-"CZ","1.0","0","0"
-"ES","1.0","4","4"
+"countryCode","count","numPagesInMRICount","numPagesContainingMRICount","totalPagesAcrossMatchingSites"
+"US","408.0","1169","3872","199487"
+"CN","123.0","281","1144","79576"
+"FR","34.0","754","1091","7983"
+"UNKNOWN","19.0","115","125","1196"
+"NZ","14.0","618","1097","5959"
+"DE","12.0","145","212","5718"
+"NL","8.0","76","115","8351"
+"CA","7.0","29","119","11577"
+"AU","7.0","19","117","549"
+"HK","7.0","3","12","620"
+"JP","5.0","1","3","420"
+"GB","5.0","3","7","1948"
+"UA","4.0","9","10","1144"
+"RU","4.0","0","14","30"
+"DK","2.0","0","0","24"
+"VG","2.0","0","0","2"
+"SG","2.0","2","13","1373"
+"ZA","1.0","0","0","2"
+"SE","1.0","0","0","6"
+"TR","1.0","0","2","505"
+"EU","1.0","0","7","250"
+"ES","1.0","4","4","3648"
+"IE","1.0","17","21","451"
+"CZ","1.0","0","0","1"
+
Index: other-projects/maori-lang-detection/mongodb-data/1b_table_noMiInUrlPath.csv
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/1b_table_noMiInUrlPath.csv	(revision 33887)
+++ other-projects/maori-lang-detection/mongodb-data/1b_table_noMiInUrlPath.csv	(revision 33889)
@@ -1,38 +1,39 @@
-﻿"_id","count","numPagesInMRICount","numPagesContainingMRICount"
-"US","288.0","2136","5452"
-"UNKNOWN","154.0","0","12"
-"NZ","101.0","2035","5129"
-"DE","40.0","1","208"
-"AU","36.0","164","313"
-"FR","35.0","22","244"
-"NL","24.0","127","265"
-"GB","13.0","1","42"
-"CA","12.0","1","209"
-"DK","8.0","4","8"
-"ES","7.0","1","50"
-"CZ","6.0","0","32"
-"JP","5.0","0","100"
-"IT","4.0","0","18"
-"RO","3.0","73","116"
-"IE","3.0","1","3"
-"RU","3.0","0","1"
-"AT","3.0","0","61"
-"IN","3.0","0","0"
-"SE","3.0","0","0"
-"IL","3.0","0","19"
-"CH","3.0","0","4"
-"CN","2.0","0","34"
-"PL","2.0","0","0"
-"CK","2.0","0","0"
-"IO","1.0","0","0"
-"SG","1.0","3","10"
-"FI","1.0","0","29"
-"UA","1.0","0","0"
-"IR","1.0","0","1"
-"ZA","1.0","0","0"
-"MX","1.0","1","21"
-"PT","1.0","0","0"
-"GR","1.0","1","3"
-"PF","1.0","0","0"
-"ME","1.0","0","0"
-"BG","1.0","2","2"
+"countryCode","count","numPagesInMRICount","numPagesContainingMRICount","totalPagesAcrossMatchingSites"
+"US","288.0","2136","5452","213005"
+"UNKNOWN","154.0","0","12","78"
+"NZ","101.0","2035","5129","31360"
+"DE","40.0","1","208","30046"
+"AU","36.0","164","313","10490"
+"FR","35.0","22","244","29152"
+"NL","24.0","127","265","10918"
+"GB","13.0","1","42","2751"
+"CA","12.0","1","209","11931"
+"DK","8.0","4","8","16"
+"ES","7.0","1","50","2671"
+"CZ","6.0","0","32","9969"
+"JP","5.0","0","100","1005"
+"IT","4.0","0","18","684"
+"SE","3.0","0","0","3"
+"IN","3.0","0","0","110"
+"AT","3.0","0","61","984"
+"RU","3.0","0","1","1994"
+"IE","3.0","1","3","6"
+"RO","3.0","73","116","240"
+"IL","3.0","0","19","641"
+"CH","3.0","0","4","305"
+"PL","2.0","0","0","4671"
+"CN","2.0","0","34","716"
+"CK","2.0","0","0","2"
+"PT","1.0","0","0","2852"
+"MX","1.0","1","21","236"
+"IR","1.0","0","1","5"
+"ZA","1.0","0","0","1"
+"FI","1.0","0","29","1124"
+"UA","1.0","0","0","294"
+"SG","1.0","3","10","23"
+"IO","1.0","0","0","2"
+"BG","1.0","2","2","2"
+"ME","1.0","0","0","1"
+"PF","1.0","0","0","2"
+"GR","1.0","1","3","4"
+
Index: other-projects/maori-lang-detection/mongodb-data/1table_allCrawledSites.csv
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/1table_allCrawledSites.csv	(revision 33887)
+++ other-projects/maori-lang-detection/mongodb-data/1table_allCrawledSites.csv	(revision 33889)
@@ -1,42 +1,43 @@
-﻿"_id","count","numPagesInMRICount","numPagesContainingMRICount"
-"US","696.0","3305","9324"
-"UNKNOWN","173.0","115","137"
-"CN","125.0","281","1178"
-"NZ","115.0","2653","6226"
-"FR","69.0","776","1335"
-"DE","52.0","146","420"
-"AU","43.0","183","430"
-"NL","32.0","203","380"
-"CA","19.0","30","328"
-"GB","18.0","4","49"
-"DK","10.0","4","8"
-"JP","10.0","1","103"
-"ES","8.0","5","54"
-"CZ","7.0","0","32"
-"RU","7.0","0","15"
-"HK","7.0","3","12"
-"UA","5.0","9","10"
-"IE","4.0","18","24"
-"IT","4.0","0","18"
-"SE","4.0","0","0"
-"RO","3.0","73","116"
-"SG","3.0","5","23"
-"AT","3.0","0","61"
-"IN","3.0","0","0"
-"IL","3.0","0","19"
-"CH","3.0","0","4"
-"PL","2.0","0","0"
-"ZA","2.0","0","0"
-"VG","2.0","0","0"
-"CK","2.0","0","0"
-"IO","1.0","0","0"
-"FI","1.0","0","29"
-"IR","1.0","0","1"
-"TR","1.0","0","2"
-"EU","1.0","0","7"
-"PT","1.0","0","0"
-"MX","1.0","1","21"
-"GR","1.0","1","3"
-"PF","1.0","0","0"
-"ME","1.0","0","0"
-"BG","1.0","2","2"
+"countryCode","count","numPagesInMRICount","numPagesContainingMRICount","totalPagesAcrossSites"
+"US","696.0","3305","9324","412492"
+"UNKNOWN","173.0","115","137","1274"
+"CN","125.0","281","1178","80292"
+"NZ","115.0","2653","6226","37319"
+"FR","69.0","776","1335","37135"
+"DE","52.0","146","420","35764"
+"AU","43.0","183","430","11039"
+"NL","32.0","203","380","19269"
+"CA","19.0","30","328","23508"
+"GB","18.0","4","49","4699"
+"JP","10.0","1","103","1425"
+"DK","10.0","4","8","40"
+"ES","8.0","5","54","6319"
+"RU","7.0","0","15","2024"
+"HK","7.0","3","12","620"
+"CZ","7.0","0","32","9970"
+"UA","5.0","9","10","1438"
+"SE","4.0","0","0","9"
+"IT","4.0","0","18","684"
+"IE","4.0","18","24","457"
+"IN","3.0","0","0","110"
+"SG","3.0","5","23","1396"
+"AT","3.0","0","61","984"
+"RO","3.0","73","116","240"
+"IL","3.0","0","19","641"
+"CH","3.0","0","4","305"
+"VG","2.0","0","0","2"
+"ZA","2.0","0","0","3"
+"PL","2.0","0","0","4671"
+"CK","2.0","0","0","2"
+"PT","1.0","0","0","2852"
+"IR","1.0","0","1","5"
+"TR","1.0","0","2","505"
+"MX","1.0","1","21","236"
+"FI","1.0","0","29","1124"
+"IO","1.0","0","0","2"
+"EU","1.0","0","7","250"
+"BG","1.0","2","2","2"
+"ME","1.0","0","0","1"
+"PF","1.0","0","0","2"
+"GR","1.0","1","3","4"
+
Index: other-projects/maori-lang-detection/mongodb-data/2table_sitesWithPagesInMRI.csv
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/2table_sitesWithPagesInMRI.csv	(revision 33887)
+++ other-projects/maori-lang-detection/mongodb-data/2table_sitesWithPagesInMRI.csv	(revision 33889)
@@ -1,22 +1,23 @@
-﻿"_id","count","numPagesInMRICount","numPagesContainingMRICount"
-"us","206.0","3305","6327"
-"nz","53.0","2653","5045"
-"cn","32.0","281","542"
-"fr","18.0","776","1101"
-"au","11.0","183","358"
-"nl","10.0","203","216"
-"de","5.0","146","190"
-"dk","4.0","4","4"
-"gb","3.0","4","13"
-"ca","3.0","30","35"
-"unknown","2.0","115","125"
-"ie","2.0","18","24"
-"ua","2.0","9","10"
-"es","2.0","5","5"
-"sg","2.0","5","23"
-"jp","1.0","1","3"
-"hk","1.0","3","8"
-"ro","1.0","73","104"
-"bg","1.0","2","2"
-"gr","1.0","1","3"
-"mx","1.0","1","21"
+"countryCode","count","numPagesInMRICount","numPagesContainingMRICount","totalPagesAcrossSitesWithPositiveMRICount"
+"us","206.0","3305","6327","174620"
+"nz","53.0","2653","5045","21901"
+"cn","32.0","281","542","27405"
+"fr","18.0","776","1101","17622"
+"au","11.0","183","358","1329"
+"nl","10.0","203","216","9185"
+"de","5.0","146","190","4195"
+"dk","4.0","4","4","10"
+"gb","3.0","4","13","2935"
+"ca","3.0","30","35","2823"
+"es","2.0","5","5","3649"
+"ua","2.0","9","10","1140"
+"sg","2.0","5","23","1357"
+"ie","2.0","18","24","454"
+"unknown","2.0","115","125","943"
+"hk","1.0","3","8","500"
+"jp","1.0","1","3","377"
+"gr","1.0","1","3","4"
+"mx","1.0","1","21","236"
+"ro","1.0","73","104","105"
+"bg","1.0","2","2","2"
+
Index: other-projects/maori-lang-detection/mongodb-data/3table_sitesWithPagesContainingMRI.csv
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/3table_sitesWithPagesContainingMRI.csv	(revision 33887)
+++ other-projects/maori-lang-detection/mongodb-data/3table_sitesWithPagesContainingMRI.csv	(revision 33889)
@@ -1,32 +1,33 @@
-﻿"_id","count","numPagesInMRICount","numPagesContainingMRICount"
-"us","486.0","3305","9324"
-"cn","114.0","281","1178"
-"nz","89.0","2653","6226"
-"fr","36.0","776","1335"
-"de","27.0","146","420"
-"nl","22.0","203","380"
-"au","21.0","183","430"
-"ca","12.0","30","328"
-"dk","8.0","4","8"
-"gb","7.0","4","49"
-"es","7.0","5","54"
-"cz","4.0","0","32"
-"unknown","3.0","115","137"
-"ro","3.0","73","116"
-"it","3.0","0","18"
-"at","3.0","0","61"
-"il","2.0","0","19"
-"ua","2.0","9","10"
-"ru","2.0","0","15"
-"ch","2.0","0","4"
-"hk","2.0","3","12"
-"sg","2.0","5","23"
-"ie","2.0","18","24"
-"jp","2.0","1","103"
-"tr","1.0","0","2"
-"mx","1.0","1","21"
-"fi","1.0","0","29"
-"eu","1.0","0","7"
-"gr","1.0","1","3"
-"bg","1.0","2","2"
-"ir","1.0","0","1"
+"countryCode","count","numPagesInMRICount","numPagesContainingMRICount","totalPagesAcrossSitesWithPositiveContainsMRI"
+"us","486.0","3305","9324","353593"
+"cn","114.0","281","1178","78881"
+"nz","89.0","2653","6226","36874"
+"fr","36.0","776","1335","33647"
+"de","27.0","146","420","31884"
+"nl","22.0","203","380","16016"
+"au","21.0","183","430","5013"
+"ca","12.0","30","328","13795"
+"dk","8.0","4","8","16"
+"gb","7.0","4","49","3736"
+"es","7.0","5","54","6318"
+"cz","4.0","0","32","4698"
+"it","3.0","0","18","396"
+"unknown","3.0","115","137","1016"
+"ro","3.0","73","116","240"
+"at","3.0","0","61","984"
+"ua","2.0","9","10","1140"
+"ru","2.0","0","15","923"
+"il","2.0","0","19","639"
+"hk","2.0","3","12","600"
+"sg","2.0","5","23","1357"
+"ie","2.0","18","24","454"
+"jp","2.0","1","103","966"
+"ch","2.0","0","4","304"
+"fi","1.0","0","29","1124"
+"tr","1.0","0","2","505"
+"mx","1.0","1","21","236"
+"eu","1.0","0","7","250"
+"gr","1.0","1","3","4"
+"bg","1.0","2","2","2"
+"ir","1.0","0","1","5"
+
Index: other-projects/maori-lang-detection/mongodb-data/4table_tentativeNonProductSites.csv
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/4table_tentativeNonProductSites.csv	(revision 33887)
+++ other-projects/maori-lang-detection/mongodb-data/4table_tentativeNonProductSites.csv	(revision 33889)
@@ -1,28 +1,29 @@
-﻿"_id","siteCount","numPagesInMRICount","numPagesContainingMRICount"
-"us","181.0","2212","5579"
-"nz","89.0","2653","6226"
-"au","21.0","183","430"
-"de","19.0","1","208"
-"fr","17.0","22","244"
-"nl","16.0","127","265"
-"dk","8.0","4","8"
-"ca","7.0","1","209"
-"es","6.0","1","50"
-"gb","5.0","1","42"
-"cz","4.0","0","32"
-"at","3.0","0","61"
-"it","3.0","0","18"
-"ro","3.0","73","116"
-"ch","2.0","0","4"
-"il","2.0","0","19"
-"ru","1.0","0","1"
-"jp","1.0","0","100"
-"unknown","1.0","0","12"
-"ie","1.0","1","3"
-"fi","1.0","0","29"
-"sg","1.0","3","10"
-"bg","1.0","2","2"
-"cn","1.0","0","34"
-"gr","1.0","1","3"
-"ir","1.0","0","1"
-"mx","1.0","1","21"
+"countryCode","count","numPagesInMRICount","numPagesContainingMRICount","totalPagesAcrossMatchingSites"
+"us","181.0","2212","5579","158656"
+"nz","89.0","2653","6226","36874"
+"au","21.0","183","430","5013"
+"de","19.0","1","208","26617"
+"fr","17.0","22","244","25705"
+"nl","16.0","127","265","7669"
+"dk","8.0","4","8","16"
+"ca","7.0","1","209","2228"
+"es","6.0","1","50","2670"
+"gb","5.0","1","42","1813"
+"cz","4.0","0","32","4698"
+"ro","3.0","73","116","240"
+"it","3.0","0","18","396"
+"at","3.0","0","61","984"
+"il","2.0","0","19","639"
+"ch","2.0","0","4","304"
+"sg","1.0","3","10","23"
+"ir","1.0","0","1","5"
+"fi","1.0","0","29","1124"
+"ie","1.0","1","3","3"
+"ru","1.0","0","1","909"
+"jp","1.0","0","100","589"
+"mx","1.0","1","21","236"
+"unknown","1.0","0","12","73"
+"gr","1.0","1","3","4"
+"bg","1.0","2","2","2"
+"cn","1.0","0","34","270"
+
Index: other-projects/maori-lang-detection/mongodb-data/5b_table_containsMRI_groupedByNZorOverseasNoFilter.csv
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/5b_table_containsMRI_groupedByNZorOverseasNoFilter.csv	(revision 33889)
+++ other-projects/maori-lang-detection/mongodb-data/5b_table_containsMRI_groupedByNZorOverseasNoFilter.csv	(revision 33889)
@@ -0,0 +1,32 @@
+"countryCode","count","numPagesInMRICount","numPagesContainingMRICount","totalPagesAcrossMatchingSites"
+"nz","176.0","4360","9641","87657"
+"us","422.0","1850","6400","308873"
+"cn","114.0","281","1178","78881"
+"fr","35.0","776","1334","33489"
+"de","27.0","146","420","31884"
+"nl","22.0","203","380","16016"
+"ca","12.0","30","328","13795"
+"dk","8.0","4","8","16"
+"gb","6.0","4","47","3732"
+"es","5.0","5","11","5002"
+"au","5.0","8","102","560"
+"cz","4.0","0","32","4698"
+"at","3.0","0","61","984"
+"unknown","3.0","115","137","1016"
+"it","3.0","0","18","396"
+"ch","2.0","0","4","304"
+"hk","2.0","3","12","600"
+"ie","2.0","18","24","454"
+"jp","2.0","1","103","966"
+"il","2.0","0","19","639"
+"ro","2.0","0","12","135"
+"ua","2.0","9","10","1140"
+"ru","2.0","0","15","923"
+"eu","1.0","0","7","250"
+"bg","1.0","2","2","2"
+"ir","1.0","0","1","5"
+"sg","1.0","2","13","1334"
+"mx","1.0","1","21","236"
+"tr","1.0","0","2","505"
+"fi","1.0","0","29","1124"
+
Index: other-projects/maori-lang-detection/mongodb-data/5table_tentativeNonProductSites1.csv
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/5table_tentativeNonProductSites1.csv	(revision 33887)
+++ other-projects/maori-lang-detection/mongodb-data/5table_tentativeNonProductSites1.csv	(revision 33889)
@@ -1,26 +1,27 @@
-﻿"_id","siteCount (numPagesContainingMRICount > 0)","numPagesInMRICount","numPagesContainingMRICount"
-"nz","176.0","4360","9641"
-"us","117.0","757","2655"
-"de","19.0","1","208"
-"nl","16.0","127","265"
-"fr","16.0","22","243"
-"dk","8.0","4","8"
-"ca","7.0","1","209"
-"au","5.0","8","102"
-"cz","4.0","0","32"
-"gb","4.0","1","40"
-"es","4.0","1","7"
-"it","3.0","0","18"
-"at","3.0","0","61"
-"ro","2.0","0","12"
-"il","2.0","0","19"
-"ch","2.0","0","4"
-"ir","1.0","0","1"
-"fi","1.0","0","29"
-"ie","1.0","1","3"
-"ru","1.0","0","1"
-"jp","1.0","0","100"
-"mx","1.0","1","21"
-"unknown","1.0","0","12"
-"bg","1.0","2","2"
-"cn","1.0","0","34"
+"countryCode","count","numPagesInMRICount","numPagesContainingMRICount","totalPagesAcrossMatchingSites"
+"nz","176.0","4360","9641","87657"
+"us","117.0","757","2655","113936"
+"de","19.0","1","208","26617"
+"fr","16.0","22","243","25547"
+"nl","16.0","127","265","7669"
+"dk","8.0","4","8","16"
+"ca","7.0","1","209","2228"
+"au","5.0","8","102","560"
+"gb","4.0","1","40","1809"
+"es","4.0","1","7","1354"
+"cz","4.0","0","32","4698"
+"it","3.0","0","18","396"
+"at","3.0","0","61","984"
+"ro","2.0","0","12","135"
+"il","2.0","0","19","639"
+"ch","2.0","0","4","304"
+"fi","1.0","0","29","1124"
+"ie","1.0","1","3","3"
+"jp","1.0","0","100","589"
+"ru","1.0","0","1","909"
+"unknown","1.0","0","12","73"
+"mx","1.0","1","21","236"
+"bg","1.0","2","2","2"
+"cn","1.0","0","34","270"
+"ir","1.0","0","1","5"
+
Index: other-projects/maori-lang-detection/mongodb-data/tables.txt
===================================================================
--- other-projects/maori-lang-detection/mongodb-data/tables.txt	(revision 33887)
+++ other-projects/maori-lang-detection/mongodb-data/tables.txt	(revision 33889)
@@ -1,5 +1,5 @@
 Instructions for producing the tables:
 a. Copy the Javascript version of results for each mongodb query listed below into a text editor.
-b. Then regex replace \/\*\s*\d+\s*\*\/ with "," and embed all the JS inside [].
+b. OPTIONAL: Then regex replace \/\*\s*\d+\s*\*\/ with a comma (','), remove the very first comma, and embed all the JS inside [].
 c. Paste that Javascript into https://json-csv.com/ to get the CSV tables
 
@@ -17,5 +17,6 @@
             /*domain: { $addToSet: '$domain' },*/
             numPagesInMRICount: { $sum: '$numPagesInMRI' },
-            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' }
+            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' },
+            totalPagesAcrossSites: { $sum: '$totalPages'}
         }
     },
@@ -35,5 +36,6 @@
             /*domain: { $addToSet: '$domain' },*/
             numPagesInMRICount: { $sum: '$numPagesInMRI' },
-            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' }
+            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' },
+            totalPagesAcrossMatchingSites: { $sum: '$totalPages'}
         }
     },
@@ -53,5 +55,6 @@
             /*domain: { $addToSet: '$domain' },*/
             numPagesInMRICount: { $sum: '$numPagesInMRI' },
-            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' }
+            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' },
+            totalPagesAcrossMatchingSites: { $sum: '$totalPages'}
         }
     },
@@ -75,5 +78,6 @@
             /*domain: { $addToSet: '$domain' },*/
             numPagesInMRICount: { $sum: '$numPagesInMRI' },
-            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' }
+            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' },
+            totalPagesAcrossSitesWithPositiveMRICount: { $sum: '$totalPages'}
         }
     },
@@ -97,5 +101,6 @@
             /*domain: { $addToSet: '$domain' },*/
             numPagesInMRICount: { $sum: '$numPagesInMRI' },
-            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' }
+            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' },
+            totalPagesAcrossSitesWithPositiveContainsMRI: { $sum: '$totalPages'}
         }
     },
@@ -122,5 +127,6 @@
              /*domain: { $addToSet: '$domain' },*/
             numPagesInMRICount: { $sum: '$numPagesInMRI' },
-            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' }
+            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' },
+            totalPagesAcrossMatchingSites: { $sum: '$totalPages'}
         }
     },
@@ -151,5 +157,6 @@
             /*domain: { $addToSet: '$domain' },*/
             numPagesInMRICount: { $sum: '$numPagesInMRI' },
-            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' }
+            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' },
+            totalPagesAcrossMatchingSites: { $sum: '$totalPages'}
         }
     },
@@ -175,12 +182,13 @@
             /*domain: { $addToSet: '$domain' },*/
             numPagesInMRICount: { $sum: '$numPagesInMRI' },
-            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' }
-        }
-    },
-    { $sort : { count : -1} }
-]);
-
-
-To find NZ web pages in MRI the following may be BETTER, 
+            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' },
+            totalPagesAcrossMatchingSites: { $sum: '$totalPages'}
+        }
+    },
+    { $sort : { count : -1} }
+]);
+
+
+To find NZ web pages IN MRI the following may be BETTER, 
 as it looks for sites with positive numPagesINMRI rather than sites that only have positive containingMRI:
 
@@ -201,8 +209,9 @@
             domain: { $addToSet: '$domain' },
             numPagesInMRICount: { $sum: '$numPagesInMRI' },
-            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' }
-        }
-    },
-    { $sort : { count : -1} }
-]);
-
+            numPagesContainingMRICount: { $sum: '$numPagesContainingMRI' },
+            totalPagesAcrossMatchingSites: { $sum: '$totalPages'}
+        }
+    },
+    { $sort : { count : -1} }
+]);
+